require "lib.c4_log"
require "lib.c4_timer"

-- Initialize Properties
Properties = {
    ['Debug Mode'] = 'Print',
    ['Debug Level'] = '5 - Debug',
    ['User Code'] = '1234',
    ['Exit Delay'] = 30,
    ['Entry Delay'] = 30 }

C4Variables = {}

C4 = {}
function C4:SendToProxy(idBinding, Command, Params, Value, CallType)
    
    LOG:Trace("C4:SendToProxy>>  idBinding is: " .. idBinding .. "  Command is: " .. Command)
    if(Params ~= nil) then
        LOG:Trace(Params)
    end
    
    if(Value ~= nil) then
        LOG:Trace("Value: " .. Value)
    end
    
    if(CallType ~= nil) then
        LOG:Trace("CallType: " .. CallType)
    end

    -- save the last three notifies for unit testing
    C4._priorSendToProxy = C4._prevSendToProxy
    C4._prevSendToProxy = C4._lastSendToProxy
    C4._lastSendToProxy = {idBinding=idBinding, Command=Command, Params=Params, CallType=CallType}
end

function C4:AddVariable(name, value, varType, readOnly, hidden)
	C4Variables[name] = { Type=varType, Value=value, ReadOnly=readOnly, Hidden=hidden }
end

function C4:SetVariable(name, value)

	if (C4Variables[name] ~= nil) then
		C4Variables[name].Value = value
	end
end

function C4:SendToSerial(BindingID, sCommand)
    print(string.format("SendToSerial >>>%s<<<", sCommand))

    if gSerialCom ~= nil then
        gSerialCom:ComSendToSerial(sCommand)
    end
end

luaOutputString = ""
function C4:ErrorLog(ErrorStr)
    luaOutputString = ErrorStr
    print(string.format("ErrorLog [[[%s]]]", ErrorStr))
end

gCurTimerID = 0
function C4:AddTimer(interval, units, repeating)
    gCurTimerID = gCurTimerID + 1
    LOG:Trace(string.format("Adding Timer %d for %d %s", gCurTimerID, interval, units))
    return gCurTimerID
end

function C4:GetProxyDevices()
    return 1, 2, 3, 4, 5
end

function C4:KillTimer(TimerID)
    LOG:Trace("Killing Timer " .. tostring(TimerID))
end

function C4:NetDisconnect(BindingID, PortID)
    LOG:Trace(string.format("NetDisconnect:  BindingID is %d  PortID is %d", BindingID, PortID))
end

function C4:NetConnect(BindingID, PortID)
    LOG:Trace(string.format("NetConnect:  BindingID is %d  PortID is %d", BindingID, PortID))
end

function C4:UpdateProperty(PropertyName, PropertyValue)
    print(string.format("UpdateProperty:  Name is => %s   Value is => %s", PropertyName, PropertyValue))
end

function C4:SendToNetwork(BindingID, Port, sCommand)
    print(string.format("SendToNetwork  BindingID is %d  Port is %d   Msg is >>>%s<<<", BindingID, Port, sCommand))
end

historyAgentParams = nil
function C4:SendToDevice(id, tag, params)
    historyAgentParams = params
    print(string.format("History Agent(RECORD_HISTORICAL_EVENT): id[%s] params(SEVERITY[%s], DEVICE_ID[%s], CATEGORY[%s], SUBCATEGORY[%s], TYPE[%s], DESCRIPTION[%s])", id, params.SEVERITY, params.DEVICE_ID, params.CATEGORY, params.SUBCATEGORY, params.TYPE, params.DESCRIPTION))
end

function C4:GetDeviceID()
    return "666"
end

function C4:GetDevicesByC4iName(c4iName)
    return { "history_proxy" }
end