--[[=============================================================================
    English version of the panels driver strings

    Copyright 2015 Control4 Corporation. All Rights Reserved.
===============================================================================]]
userEN     = "User"
sensorEN   = "Sensor"
bypassEN   = "Bypass"
keyfobEN   = "Keyfob"
unbypassEN = "Unbypass"
canceledEN = "Canceled"
latchkeyEN = "Latchkey"

restoredEN       = "Restored"
fireTroubleEN    = "Fire Trouble"
nonFireTroubleEN = "Non-Fire Trouble"

SourceTypeEN = {
    ["0"] = "Bus Device",
    ["1"] = "Local Phone",
    ["2"] = "Zone",
    ["3"] = "System",
    ["4"] = "Remote Phone" }

AlarmValuesEN = {
    ["0"]  = "Unspecified",
    ["1"]  = "Fire",
    ["2"]  = "Fire Panic",
    ["3"]  = "Police",
    ["4"]  = "Police Panic",
    ["5"]  = "Medical",
    ["6"]  = "Medical Panic",
    ["7"]  = "Auxiliary",
    ["8"]  = "Auxiliary Panic",
    ["9"]  = "Tamper",
    ["10"] = "No Activity",
    ["11"] = "Suspicion",
    ["12"] = "Not used",
    ["13"] = "Low Temperature",
    ["14"] = "High Temperature",
    ["15"] = "Keystroke Violation(Touchpad Tamper)",
    ["16"] = "Duress",
    ["17"] = "Exit Fault",
    ["18"] = "Explosive Gas",
    ["19"] = "Carbon Monoxide",
    ["20"] = "Environmental",
    ["21"] = "Latchkey",
    ["22"] = "Equipment Tamper",
    ["23"] = "Holdup",
    ["24"] = "Sprinkler",
    ["25"] = "Heat",
    ["26"] = "Siren Tamper",
    ["27"] = "Smoke",
    ["28"] = "Repeater Tamper",
    ["29"] = "Fire Pump Activated",
    ["30"] = "Fire Pump Failure",
    ["31"] = "Fire Gate Valve",
    ["32"] = "Low CO2 Pressure",
    ["33"] = "Low Liquid Pressure",
    ["34"] = "Low Liquid Level",
    ["35"] = "Entry/Exit",
    ["36"] = "Perimeter",
    ["37"] = "Interior",
    ["38"] = "Near (Two Trip)",
    ["39"] = "Water Alarm" }

TroubleValuesEN = {
    ["0"]  = "Unspecified",
    ["1"]  = "Hardwire",
    ["2"]  = "Ground Fault",
    ["3"]  = "Device",
    ["4"]  = "Supervisory",
    ["5"]  = "Low Battery",
    ["6"]  = "Tamper",
    ["7"]  = "SAM",
    ["8"]  = "Partial Obscurity",
    ["9"]  = "Jam",
    ["10"] = "Zone AC Fail",
    ["11"] = "Not used",
    ["12"] = "NAC Trouble",
    ["13"] = "Analog Zone Trouble",
    ["14"] = "Fire Supervisory",
    ["15"] = "Pump Fail",
    ["16"] = "Fire Gate Valve Closed",
    ["17"] = "CO2 Pressure Trouble",
    ["18"] = "Liquid Pressure Trouble",
    ["19"] = "Liquid Level Trouble" }

BypassValuesEN = {
    ["0"] = "Direct Bypass",
    ["1"] = "Indirect Bypass",
    ["2"] = "Swinger Bypass",
    ["3"] = "Inhibit" }

UnbypassValuesEN = {
    ["0"] = "Direct Unbypass",
    ["1"] = "Indirect Unbypass",
    ["2"] = "Swinger Unbypass",
    ["3"] = "Inhibit" }

OpeningValuesEN = {
    ["0"] = "Normal Open",
    ["1"] = "Early Open",
    ["2"] = "Late Open",
    ["3"] = "Fail To Open",
    ["4"] = "Open Exception",
    ["5"] = "Open Extension",
    ["6"] = "Open Using Keyfob/Keyswitch",
    ["7"] = "Scheduled Open",
    ["8"] = "Remote Open" }

ClosingValuesEN = {
    ["0"] = "Normal Close",
    ["1"] = "Early Close",
    ["2"] = "Late Close",
    ["3"] = "Fail To Close",
    ["4"] = "Close Exception",
    ["5"] = "Close Extension",
    ["6"] = "Close Using Keyfob/Keyswitch",
    ["7"] = "Scheduled Close",
    ["8"] = "Remote Close",
    ["9"] = "Recent Close" }

PartitionConfigValuesEN = {
    ["0"] = "User Access Code Added",
    ["1"] = "User Access Code Deleted",
    ["2"] = "User Access Code Changed",
    ["3"] = "User Access Code Expired",
    ["4"] = "User Code Authority Changed",
    ["5"] = "Authority Levels Changed",
    ["6"] = "Schedule Changed",
    ["7"] = "Arming or O/C Schedule Changed",
    ["8"] = "Zone Added",
    ["9"] = "Zone Deleted" }

PartitionEventValuesEN = {
    ["0"]  = "Schedule On",
    ["1"]  = "Schedule Off",
    ["2"]  = "Latchkey On",
    ["3"]  = "Latchkey Off",
    ["4"]  = "Smoke Detectors Reset",
    ["5"]  = "Valid User Access Code Entered",
    ["6"]  = "Arming Level Changed",
    ["7"]  = "Alarm Reported",
    ["8"]  = "Agent Release",
    ["9"]  = "Agent Release Restoral",
    ["10"] = "Partition Remote Access",
    ["11"] = "Keystroke Violation in Partition",
    ["12"] = "Manual Force Arm",
    ["13"] = "Auto Force Arm",
    ["14"] = "Auto Force Arm Failed",
    ["15"] = "Arming Protest Begun",
    ["16"] = "Arming Protest Ended" }

PartitionTestValuesEN = {
    ["0"]  = "Manual Phone Test",
    ["1"]  = "Auto Phone Test",
    ["2"]  = "Auto Phone Test with Existing Trouble",
    ["3"]  = "Phone Test OK",
    ["4"]  = "Phone Test Failed",
    ["5"]  = "User Sensor Test Started",
    ["6"]  = "User Sensor Test Ended",
    ["7"]  = "User Sensor Test Completed",
    ["8"]  = "User Sensor Test Incomplete",
    ["9"]  = "User Sensor Test Trip",
    ["10"] = "Installer Sensor Test Started",
    ["11"] = "Installer Sensor Test Ended",
    ["12"] = "Installer Sensor Test Completed",
    ["13"] = "Installer Sensor Test Incomplete",
    ["14"] = "Installer Sensor Test Trip",
    ["15"] = "Fire Drill Started" }

SystemTroubleValuesEN = {
    ["0"]  = "Bus Receiver Failure",
    ["1"]  = "Bus Antenna Tamper",
    ["2"]  = "Main Low Battery",
    ["3"]  = "SnapCard Low Battery",
    ["4"]  = "Module Low Battery",
    ["5"]  = "Main AC Failure",
    ["6"]  = "SnapCard AC Failure",
    ["7"]  = "Module AC Failure",
    ["8"]  = "Aux. Power Failure",
    ["9"]  = "Bus Shutdown",
    ["10"] = "Bus Low Power Mode",
    ["11"] = "Phone Line 1 Failure",
    ["12"] = "Phone Line 2 Failure",
    ["13"] = "Remote Phone Tamper",
    ["14"] = "Watchdog Reset",
    ["15"] = "RAM Failure",
    ["16"] = "Flash Failure",
    ["17"] = "Printer Error",
    ["18"] = "History Buffer (almost) Full",
    ["19"] = "History Buffer Overflow",
    ["20"] = "Report Buffer Overflow",
    ["21"] = "Bus Device Failure",
    ["22"] = "Failure To Communicate",
    ["23"] = "Long Range Radio Trouble",
    ["24"] = "Module Tamper Trouble",
    ["25"] = "Un-enrolled Module Trouble",
    ["26"] = "Audio Output Trouble",
    ["27"] = "Analog Module Trouble",
    ["28"] = "Cell Module Trouble",
    ["29"] = "Buddy 1 Failure",
    ["30"] = "Buddy 2 Failure",
    ["31"] = "Buddy 3 Failure",
    ["32"] = "Buddy 4 Failure",
    ["33"] = "SnapCard Trouble",
    ["34"] = "Analog Loop Short",
    ["35"] = "Analog Loop Break",
    ["36"] = "Analog Address 0",
    ["37"] = "Un-enrolled Analog Head",
    ["38"] = "Duplicate Analog Head",
    ["39"] = "Analog Module Initializing",
    ["40"] = "Microphone Switch Trouble",
    ["41"] = "Microphone Trouble",
    ["42"] = "Microphone Wiring Trouble",
    ["43"] = "JTECH Premise Paging Trouble",
    ["44"] = "Voice Siren Tamper Trouble",
    ["45"] = "Microburst Transmit Failure",
    ["46"] = "Microburst Transmit Disabled",
    ["47"] = "Microburst Module Failure",
    ["48"] = "Microburst Not In Service",
    ["49"] = "Automation Supervisory Trouble",
    ["50"] = "Microburst Module Initializing",
    ["51"] = "Printer Paper Out Trouble" }

SystemConfigValuesEN = {
    ["0"] = "Program Mode Entry",
    ["1"] = "Program Mode Exit Without Change",
    ["2"] = "Program Mode Exit With Change",
    ["3"] = "Downloader Session Start",
    ["4"] = "Downloader Session End Without Change",
    ["5"] = "Downloader Session End With Change",
    ["6"] = "Downloader Error",
    ["7"] = "Downloader Connection Denied",
    ["8"] = "Date/Time Changed",
    ["9"] = "Module Added",
    ["10"] = "Module Deleted",
    ["11"] = "Speech Tokens Changed",
    ["12"] = "Code Changed",
    ["13"] = "Panel First Service (cold reset)",
    ["14"] = "Panel Back In Service (warm reset)",
    ["15"] = "Installer Code Changed" }

SystemEventValuesEN = {
    ["0"] = "Callback Requested",
    ["1"] = "Output Activity",
    ["2"] = "Buddy Reception",
    ["3"] = "Buddy Transmission Request",
    ["4"] = "History Buffer Cleared",
    ["5"] = "Output On",
    ["6"] = "Output Off" }

TokenValuesEN = {
    ["00"] = "0",
    ["01"] = "1",
    ["02"] = "2",
    ["03"] = "3",
    ["04"] = "4",
    ["05"] = "5",
    ["06"] = "6",
    ["07"] = "7",
    ["08"] = "8",
    ["09"] = "9",
    ["0C"] = "#",
    ["0D"] = ":",
    ["0E"] = "/",
    ["0F"] = "?",
    ["10"] = ".",
    ["11"] = "A",
    ["12"] = "B",
    ["13"] = "C",
    ["14"] = "D",
    ["15"] = "E",
    ["16"] = "F",
    ["17"] = "G",
    ["18"] = "H",
    ["19"] = "I",
    ["1A"] = "J",
    ["1B"] = "K",
    ["1C"] = "L",
    ["1D"] = "M",
    ["1E"] = "N",
    ["1F"] = "O",
    ["20"] = "P",
    ["21"] = "Q",
    ["22"] = "R",
    ["23"] = "S",
    ["24"] = "T",
    ["25"] = "U",
    ["26"] = "V",
    ["27"] = "W",
    ["28"] = "X",
    ["29"] = "Y",
    ["2A"] = "Z",
    ["2B"] = " ",
    ["2C"] = "'",
    ["2D"] = "-",
    ["2E"] = "_",
    ["2F"] = "*",
    ["30"] = "AC POWER ",
    ["31"] = "ACCESS ",
    ["32"] = "ACCOUNT ",
    ["33"] = "ALARM ",
    ["34"] = "ALL ",
    ["35"] = "ARM ",
    ["36"] = "ARMING ",
    ["37"] = "AREA ",
    ["38"] = "ATTIC ",
    ["39"] = "AUTO ",
    ["3A"] = "AUXILIARY ",
    ["3B"] = "AWAY ",
    ["3C"] = "BACK ",
    ["3D"] = "BATTERY ",
    ["3E"] = "BEDROOM ",
    ["3F"] = "BEEPS ",
    ["40"] = "BOTTOM ",
    ["41"] = "BREEZEWAY ",
    ["42"] = "BASEMENT ",
    ["43"] = "BATHROOM ",
    ["44"] = "BUS ",
    ["45"] = "BYPASS ",
    ["46"] = "BYPASSED ",
    ["47"] = "CABINET ",
    ["48"] = "CANCELED ",
    ["49"] = "CARPET ",
    ["4A"] = "CHIME ",
    ["4B"] = "CLOSET ",
    ["4C"] = "CLOSING ",
    ["4D"] = "CODE ",
    ["4E"] = "CONTROL ",
    ["4F"] = "CPU ",
    ["50"] = "DEGREES ",
    ["51"] = "DEN ",
    ["52"] = "DESK ",
    ["53"] = "DELAY ",
    ["54"] = "DELETE ",
    ["55"] = "DINING ",
    ["56"] = "DIRECT ",
    ["57"] = "DOOR ",
    ["58"] = "DOWN ",
    ["59"] = "DOWNLOAD ",
    ["5A"] = "DOWNSTAIRS ",
    ["5B"] = "DRAWER ",
    ["5C"] = "DISPLAY ",
    ["5D"] = "DURESS ",
    ["5E"] = "EAST ",
    ["5F"] = "ENERGY SAVER ",
    ["60"] = "ENTER ",
    ["61"] = "ENTRY ",
    ["62"] = "ERROR ",
    ["63"] = "EXIT ",
    ["64"] = "FAIL ",
    ["65"] = "FAILURE ",
    ["66"] = "FAMILY ",
    ["67"] = "FEATURES ",
    ["68"] = "FIRE ",
    ["69"] = "FIRST ",
    ["6A"] = "FLOOR ",
    ["6B"] = "FORCE ",
    ["6C"] = "FORMAT ",
    ["6D"] = "FREEZE ",
    ["6E"] = "FRONT ",
    ["6F"] = "FURNACE ",
    ["70"] = "GARAGE ",
    ["71"] = "GALLERY ",
    ["72"] = "GOODBYE ",
    ["73"] = "GROUP ",
    ["74"] = "HALL ",
    ["75"] = "HEAT ",
    ["76"] = "HELLO ",
    ["77"] = "HELP ",
    ["78"] = "HIGH ",
    ["79"] = "HOURLY ",
    ["7A"] = "HOUSE ",
    ["7B"] = "IMMEDIATE ",
    ["7C"] = "IN SERVICE ",
    ["7D"] = "INTERIOR ",
    ["7E"] = "INTRUSION ",
    ["7F"] = "INVALID ",
    ["80"] = "IS ",
    ["81"] = "KEY ",
    ["82"] = "KITCHEN ",
    ["83"] = "LAUNDRY ",
    ["84"] = "LEARN ",
    ["85"] = "LEFT ",
    ["86"] = "LIBRARY ",
    ["87"] = "LEVEL ",
    ["88"] = "LIGHT ",
    ["89"] = "LIGHTS ",
    ["8A"] = "LIVING ",
    ["8B"] = "LOW ",
    ["8C"] = "MAIN ",
    ["8D"] = "MASTER ",
    ["8E"] = "MEDICAL ",
    ["8F"] = "MEMORY ",
    ["90"] = "MIN ",
    ["91"] = "MODE ",
    ["92"] = "MOTION ",
    ["93"] = "NIGHT ",
    ["94"] = "NORTH ",
    ["95"] = "NOT ",
    ["96"] = "NUMBER ",
    ["97"] = "OFF ",
    ["98"] = "OFFICE ",
    ["99"] = "OK ",
    ["9A"] = "ON ",
    ["9B"] = "OPEN ",
    ["9C"] = "OPENING ",
    ["9D"] = "PANIC ",
    ["9E"] = "PARTITION ",
    ["9F"] = "PATIO ",
    ["A0"] = "PHONE ",
    ["A1"] = "POLICE ",
    ["A2"] = "POOL ",
    ["A3"] = "PORCH ",
    ["A4"] = "PRESS ",
    ["A5"] = "QUIET ",
    ["A6"] = "QUICK ",
    ["A7"] = "RECEIVER ",
    ["A8"] = "REAR ",
    ["A9"] = "REPORT ",
    ["AA"] = "REMOTE ",
    ["AB"] = "RESTORE ",
    ["AC"] = "RIGHT ",
    ["AD"] = "ROOM ",
    ["AE"] = "SCHEDULE ",
    ["AF"] = "SCRIPT ",
    ["B0"] = "SEC ",
    ["B1"] = "SECOND ",
    ["B2"] = "SET ",
    ["B3"] = "SENSOR ",
    ["B4"] = "SHOCK ",
    ["B5"] = "SIDE ",
    ["B6"] = "SIREN ",
    ["B7"] = "SLIDING ",
    ["B8"] = "SMOKE ",
    ["B9"] = "Sn ",
    ["BA"] = "SOUND ",
    ["BB"] = "SOUTH ",
    ["BC"] = "SPECIAL ",
    ["BD"] = "STAIRS ",
    ["BE"] = "START ",
    ["BF"] = "STATUS ",
    ["C0"] = "STAY ",
    ["C1"] = "STOP ",
    ["C2"] = "SUPERVISORY ",
    ["C3"] = "SYSTEM ",
    ["C4"] = "TAMPER ",
    ["C5"] = "TEMPERATURE ",
    ["C6"] = "TEMPORARY ",
    ["C7"] = "TEST ",
    ["C8"] = "TIME ",
    ["C9"] = "TIMEOUT ",
    ["CA"] = "TOUCHPAD ",
    ["CB"] = "TRIP ",
    ["CC"] = "TROUBLE ",
    ["CD"] = "UNBYPASS ",
    ["CE"] = "UNIT ",
    ["CF"] = "UP ",
    ["D0"] = "VERIFY ",
    ["D1"] = "VIOLATION ",
    ["D2"] = "WARNING ",
    ["D3"] = "WEST ",
    ["D4"] = "WINDOW ",
    ["D5"] = "MENU ",
    ["D6"] = "RETURN ",
    ["D7"] = "POUND ",
    ["D8"] = "HOME ",
    -- Control4 Added Strings
    ["E0"] = "USER ",
    ["E1"] = "USERS ",
    ["E2"] = "NEW ",
    ["E3"] = "RE-ENTER ",
    ["E4"] = "VERIFICATION ",
    ["E5"] = "FAILED ",
    -- End Control4 Added Strings
    ["F9"] = "\n",
    ["FA"] = " ",
    ["FB"] = "\n",
    ["FD"] = "\b",
    ["FE"] = "" --[[blink next token]] }

ValueTokenEN = {
    ["0"] = "00",
    ["1"] = "01",
    ["2"] = "02",
    ["3"] = "03",
    ["4"] = "04",
    ["5"] = "05",
    ["6"] = "06",
    ["7"] = "07",
    ["8"] = "08",
    ["9"] = "09",
    ["#"] = "0C",
    [":"] = "0D",
    ["/"] = "0E",
    ["?"] = "0F",
    ["."] = "10",
    ["A"] = "11",
    ["B"] = "12",
    ["C"] = "13",
    ["D"] = "14",
    ["E"] = "15",
    ["F"] = "16",
    ["G"] = "17",
    ["H"] = "18",
    ["I"] = "19",
    ["J"] = "1A",
    ["K"] = "1B",
    ["L"] = "1C",
    ["M"] = "1D",
    ["N"] = "1E",
    ["O"] = "1F",
    ["P"] = "20",
    ["Q"] = "21",
    ["R"] = "22",
    ["S"] = "23",
    ["T"] = "24",
    ["U"] = "25",
    ["V"] = "26",
    ["W"] = "27",
    ["X"] = "28",
    ["Y"] = "29",
    ["Z"] = "2A",
    [" "] = "2B",
    ["'"] = "2C",
    ["-"] = "2D",
    ["_"] = "2E",
    ["*"] = "2F",
    ["AC POWER"] = "30",
    ["ACCESS"] = "31",
    ["ACCOUNT"] = "32",
    ["ALARM"] = "33",
    ["ALL"] = "34",
    ["ARM"] = "35",
    ["ARMING"] = "36",
    ["AREA"] = "37",
    ["ATTIC"] = "38",
    ["AUTO"] = "39",
    ["AUXILIARY"] = "3A",
    ["AWAY"] = "3B",
    ["BACK"] = "3C",
    ["BATTERY"] = "3D",
    ["BEDROOM"] = "3E",
    ["BEEPS"] = "3F",
    ["BOTTOM"] = "40",
    ["BREEZEWAY"] = "41",
    ["BASEMENT"] = "42",
    ["BATHROOM"] = "43",
    ["BUS"] = "44",
    ["BYPASS"] = "45",
    ["BYPASSED"] = "46",
    ["CABINET"] = "47",
    ["CANCELED"] = "48",
    ["CARPET"] = "49",
    ["CHIME"] = "4A",
    ["CLOSET"] = "4B",
    ["CLOSING"] = "4C",
    ["CODE"] = "4D",
    ["CONTROL"] = "4E",
    ["CPU"] = "4F",
    ["DEGREES"] = "50",
    ["DEN"] = "51",
    ["DESK"] = "52",
    ["DELAY"] = "53",
    ["DELETE"] = "54",
    ["DINING"] = "55",
    ["DIRECT"] = "56",
    ["DOOR"] = "57",
    ["DOWN"] = "58",
    ["DOWNLOAD"] = "59",
    ["DOWNSTAIRS"] = "5A",
    ["DRAWER"] = "5B",
    ["DISPLAY"] = "5C",
    ["DURESS"] = "5D",
    ["EAST"] = "5E",
    ["ENERGY SAVER"] = "5F",
    ["ENTER"] = "60",
    ["ENTRY"] = "61",
    ["ERROR"] = "62",
    ["EXIT"] = "63",
    ["FAIL"] = "64",
    ["FAILURE"] = "65",
    ["FAMILY"] = "66",
    ["FEATURES"] = "67",
    ["FIRE"] = "68",
    ["FIRST"] = "69",
    ["FLOOR"] = "6A",
    ["FORCE"] = "6B",
    ["FORMAT"] = "6C",
    ["FREEZE"] = "6D",
    ["FRONT"] = "6E",
    ["FURNACE"] = "6F",
    ["GARAGE"] = "70",
    ["GALLERY"] = "71",
    ["GOODBYE"] = "72",
    ["GROUP"] = "73",
    ["HALL"] = "74",
    ["HEAT"] = "75",
    ["HELLO"] = "76",
    ["HELP"] = "77",
    ["HIGH"] = "78",
    ["HOURLY"] = "79",
    ["HOUSE"] = "7A",
    ["IMMEDIATE"] = "7B",
    ["IN SERVICE"] = "7C",
    ["INTERIOR"] = "7D",
    ["INTRUSION"] = "7E",
    ["INVALID"] = "7F",
    ["IS"] = "80",
    ["KEY"] = "81",
    ["KITCHEN"] = "82",
    ["LAUNDRY"] = "83",
    ["LEARN"] = "84",
    ["LEFT"] = "85",
    ["LIBRARY"] = "86",
    ["LEVEL"] = "87",
    ["LIGHT"] = "88",
    ["LIGHTS"] = "89",
    ["LIVING"] = "8A",
    ["LOW"] = "8B",
    ["MAIN"] = "8C",
    ["MASTER"] = "8D",
    ["MEDICAL"] = "8E",
    ["MEMORY"] = "8F",
    ["MIN"] = "90",
    ["MODE"] = "91",
    ["MOTION"] = "92",
    ["NIGHT"] = "93",
    ["NORTH"] = "94",
    ["NOT"] = "95",
    ["NUMBER"] = "96",
    ["OFF"] = "97",
    ["OFFICE"] = "98",
    ["OK"] = "99",
    ["ON"] = "9A",
    ["OPEN"] = "9B",
    ["OPENING"] = "9C",
    ["PANIC"] = "9D",
    ["PARTITION"] = "9E",
    ["PATIO"] = "9F",
    ["PHONE"] = "A0",
    ["POLICE"] = "A1",
    ["POOL"] = "A2",
    ["PORCH"] = "A3",
    ["PRESS"] = "A4",
    ["QUIET"] = "A5",
    ["QUICK"] = "A6",
    ["RECEIVER"] = "A7",
    ["REAR"] = "A8",
    ["REPORT"] = "A9",
    ["REMOTE"] = "AA",
    ["RESTORE"] = "AB",
    ["RIGHT"] = "AC",
    ["ROOM"] = "AD",
    ["SCHEDULE"] = "AE",
    ["SCRIPT"] = "AF",
    ["SEC"] = "B0",
    ["SECOND"] = "B1",
    ["SET"] = "B2",
    ["SENSOR"] = "B3",
    ["SHOCK"] = "B4",
    ["SIDE"] = "B5",
    ["SIREN"] = "B6",
    ["SLIDING"] = "B7",
    ["SMOKE"] = "B8",
    ["Sn"] = "B9",
    ["SOUND"] = "BA",
    ["SOUTH"] = "BB",
    ["SPECIAL"] = "BC",
    ["STAIRS"] = "BD",
    ["START"] = "BE",
    ["STATUS"] = "BF",
    ["STAY"] = "C0",
    ["STOP"] = "C1",
    ["SUPERVISORY"] = "C2",
    ["SYSTEM"] = "C3",
    ["TAMPER"] = "C4",
    ["TEMPERATURE"] = "C5",
    ["TEMPORARY"] = "C6",
    ["TEST"] = "C7",
    ["TIME"] = "C8",
    ["TIMEOUT"] = "C9",
    ["TOUCHPAD"] = "CA",
    ["TRIP"] = "CB",
    ["TROUBLE"] = "CC",
    ["UNBYPASS"] = "CD",
    ["UNIT"] = "CE",
    ["UP"] = "CF",
    ["VERIFY"] = "D0",
    ["VIOLATION"] = "D1",
    ["WARNING"] = "D2",
    ["WEST"] = "D3",
    ["WINDOW"] = "D4",
    ["MENU"] = "D5",
    ["RETURN"] = "D6",
    ["POUND"] = "D7",
    ["HOME"] = "D8",
    ["\n"] = "F9",
    [" "] = "FA",
    ["\n"] = "FB",
    [" "] = "FD",
    [" " ] = "FE" }

ZoneLabelValuesEN = {
    [" "] = 0,
    ["ABORTED"] = 1,
    ["AC"] = 2,
    ["ACCESS"] = 3,
    ["ACTIVE"] = 4,
    ["ACTIVITY"] = 5,
    ["ALARM"] = 6,
    ["ALL"] = 7,
    ["AM"] = 8,
    ["AREA"] = 9,
    ["ARM"] = 10,
    ["ARMED"] = 11,
    ["ARMING"] = 12,
    ["ATTIC"] = 13,
    ["AUXILIARY"] = 14,
    ["AWAY"] = 15,
    ["BABY"] = 16,
    ["BACK"] = 17,
    ["BAR"] = 18,
    ["BASEMENT"] = 19,
    ["BATHROOM"] = 20,
    ["BATTERY"] = 21,
    ["BEDROOM"] = 22,
    ["BOTTOM"] = 23,
    ["BREEZEWAY"] = 24,
    ["BUILDING"] = 25,
    ["BUS"] = 26,
    ["BYPASS"] = 27,
    ["BYPASSED"] = 28,
    ["CABINET"] = 29,
    ["CANCELED"] = 30,
    ["CAR"] = 31,
    ["CARBON MONOXIDE"] = 32,
    ["CENTRAL"] = 33,
    ["CHIME"] = 34,
    ["CLOSED"] = 35,
    ["CLOSET"] = 36,
    ["CLOSING"] = 37,
    ["CODE"] = 38,
    ["COMPUTER"] = 39,
    ["CONTROL"] = 40,
    ["DATE"] = 41,
    ["DAUGHTER'S"] = 42,
    ["DEGREES"] = 43,
    ["DELAY"] = 44,
    ["DEN"] = 45,
    ["DESK"] = 46,
    ["DETECTOR"] = 47,
    ["DINING"] = 48,
    ["DISARMED"] = 49,
    ["DOOR"] = 50,
    ["DOWN"] = 51,
    ["DOWNLOAD"] = 52,
    ["DOWNSTAIRS"] = 53,
    ["DRAWER"] = 54,
    ["DRIVEWAY"] = 55,
    ["DUCT"] = 56,
    ["DURESS"] = 57,
    ["EAST"] = 58,
    ["ENERGY"] = 59,
    ["ENTER"] = 60,
    ["ENTRY"] = 61,
    ["ERROR"] = 62,
    ["EXIT"] = 63,
    ["EXTERIOR"] = 64,
    ["FACTORY"] = 65,
    ["FAILURE"] = 66,
    ["FAMILY"] = 67,
    ["FATHER'S"] = 68,
    ["FEATURES"] = 69,
    ["FENCE"] = 70,
    ["FIRE"] = 71,
    ["FIRST"] = 72,
    ["FLOOR"] = 73,
    ["FORCE"] = 74,
    ["FOYER"] = 75,
    ["FREEZE"] = 76,
    ["FRONT"] = 77,
    ["FURNACE"] = 78,
    ["GALLERY"] = 79,
    ["GARAGE"] = 80,
    ["GAS"] = 81,
    ["GLASS"] = 82,
    ["GOODBYE"] = 83,
    ["HALLWAY"] = 84,
    ["HEAT"] = 85,
    ["HELLO"] = 86,
    ["HELP"] = 87,
    ["HIGH"] = 88,
    ["HOME"] = 89,
    ["HOUSE"] = 90,
    ["IN"] = 91,
    ["INSTALL"] = 92,
    ["INTERIOR"] = 93,
    ["INTRUSION"] = 94,
    ["INVALID"] = 95,
    ["IS"] = 96,
    ["KEY"] = 97,
    ["KID'S"] = 98,
    ["KITCHEN"] = 99,
    ["LATCHKEY"] = 100,
    ["LAUNDRY"] = 101,
    ["LEFT"] = 102,
    ["LEVEL"] = 103,
    ["LIBRARY"] = 104,
    ["LIGHT"] = 105,
    ["LIGHTS"] = 106,
    ["LIVING"] = 107,
    ["LOAD"] = 108,
    ["LOADING"] = 109,
    ["LOW"] = 110,
    ["LOWER"] = 111,
    ["MAIN"] = 112,
    ["MASTER"] = 113,
    ["MAT"] = 114,
    ["MEDICAL"] = 115,
    ["MEMORY"] = 116,
    ["MENU"] = 117,
    ["MOTHER'S"] = 118,
    ["MOTION"] = 119,
    ["NO"] = 120,
    ["NORTH"] = 121,
    ["NOT"] = 122,
    ["NOW"] = 123,
    ["NUMBER"] = 124,
    ["OFF"] = 125,
    ["OFFICE"] = 126,
    ["OK"] = 127,
    ["ON"] = 128,
    ["OPEN"] = 129,
    ["OPENING"] = 130,
    ["PANIC"] = 131,
    ["PARTITION"] = 132,
    ["PATIO"] = 133,
    ["PET"] = 134,
    ["PHONE"] = 135,
    ["PLEASE"] = 136,
    ["PM"] = 137,
    ["POLICE"] = 138,
    ["POOL"] = 139,
    ["PORCH"] = 140,
    ["POWER"] = 141,
    ["PRESS"] = 142,
    ["PROGRAM"] = 143,
    ["PROGRESS"] = 144,
    ["QUIET"] = 145,
    ["REAR"] = 146,
    ["RECEIVER"] = 147,
    ["REPORT"] = 148,
    ["RF"] = 149,
    ["RIGHT"] = 150,
    ["ROOM"] = 151,
    ["SAFE"] = 152,
    ["SCHEDULE"] = 153,
    ["SCREEN"] = 154,
    ["SECOND"] = 155,
    ["SENSOR"] = 156,
    ["SERVICE"] = 157,
    ["SHED"] = 158,
    ["SHOCK"] = 159,
    ["SIDE"] = 160,
    ["SIREN"] = 161,
    ["SLIDING"] = 162,
    ["SMOKE"] = 163,
    ["SON'S"] = 164,
    ["SOUND"] = 165,
    ["SOUTH"] = 166,
    ["SPECIAL"] = 167,
    ["STAIRS"] = 168,
    ["STAY"] = 169,
    ["SUPERVISORY"] = 170,
    ["SYSTEM"] = 171,
    ["TAMPER"] = 172,
    ["TEMPERATURE"] = 173,
    ["TEST"] = 174,
    ["TIME"] = 175,
    ["TO"] = 176,
    ["TOUCHPAD"] = 177,
    ["TROUBLE"] = 178,
    ["UNBYPASS"] = 179,
    ["UNIT"] = 180,
    ["UP"] = 181,
    ["WEST"] = 182,
    ["WINDOW"] = 183,
    ["ZONE"] = 184,
    ["0"] = 185,
    ["1"] = 186,
    ["2"] = 187,
    ["3"] = 188,
    ["4"] = 189,
    ["5"] = 190,
    ["6"] = 191,
    ["7"] = 192,
    ["8"] = 193,
    ["9"] = 194,
    ["A"] = 195,
    ["B"] = 196,
    ["C"] = 197,
    ["D"] = 198,
    ["E"] = 199,
    ["F"] = 200,
    ["G"] = 201,
    ["H"] = 202,
    ["I"] = 203,
    ["J"] = 204,
    ["K"] = 205,
    ["L"] = 206,
    ["M"] = 207,
    ["N"] = 208,
    ["O"] = 209,
    ["P"] = 210,
    ["Q"] = 211,
    ["R"] = 212,
    ["S"] = 213,
    ["T"] = 214,
    ["U"] = 215,
    ["V"] = 216,
    ["W"] = 217,
    ["X"] = 218,
    ["Y"] = 219,
    ["Z"] = 220,
    [" "] = 221,
    ["'"] = 222,
    ["-"] = 223,
    ["_"] = 224,
    ["*"] = 225,
    ["#"] = 226,
    [":"] = 227,
    ["/"] = 228,
    ["?"] = 229 }

lightStateStringEN = {
    [0] = "off",
    [1] = "on",
    [3] = "bright",
    [5] = "dim" }