--[[=============================================================================
    Commands for the SecurityPanel Proxy

    Copyright 2015 Control4 Corporation. All Rights Reserved.
===============================================================================]]
require "common.c4_command"
require "common.c4_utils"

TEMPLATE_VERSION.securitypanel = "6"

function PRX_CMD.READ_PANEL_INFO(idBinding, tParams)
	if (TheSecurityPanel) then
		TheSecurityPanel:PrxReadPanelInfo()
	end
end

function PRX_CMD.GET_PANEL_SETUP(idBinding, tParams)
	if (TheSecurityPanel) then
		TheSecurityPanel:PrxGetPanelSetup()
	end
end

function PRX_CMD.GET_ALL_PARTITION_INFO(idBinding, tParams)
	if (TheSecurityPanel) then
		TheSecurityPanel:PrxGetAllPartitionsInfo()
	end
end

function PRX_CMD.GET_ALL_ZONE_INFO(idBinding, tParams)
	if (TheSecurityPanel) then
		TheSecurityPanel:PrxGetAllZonesInfo()
	end
end

function PRX_CMD.GET_ALL_PGM_INFO(idBinding, tParams)
	if (TheSecurityPanel) then
		TheSecurityPanel:PrxGetAllPgmsInfo()
	end
end

function PRX_CMD.SET_PANEL_TIME_DATE(idBinding, tParams)
	local CurYear = tonumber(tParams.YEAR)
	local CurMonth = tonumber(tParams.MONTH)
	local CurDay = tonumber(tParams.DAY)
	local CurHour = tonumber(tParams.HOUR)
	local CurMinute = tonumber(tParams.MINUTE)
	local CurSecond = tonumber(tParams.SECOND)
	local InterfaceID = tostring(tParams.INTERFACE_ID)

	if (TheSecurityPanel) then
		TheSecurityPanel:PrxSetTimeDate(CurYear, CurMonth, CurDay, CurHour, CurMinute, CurSecond, InterfaceID)
	end
end

function PRX_CMD.SET_PARTITION_ENABLED(idBinding, tParams)
	local PartitionID = tonumber(tParams.PARTITION_ID)
	local PartitionEnabled = tParams.ENABLED
	local InterfaceID = tParams.INTERFACE_ID

	if (TheSecurityPanel) then
		TheSecurityPanel:PrxSetPartitionEnabled(PartitionID, PartitionEnabled, InterfaceID)
	end
end

function PRX_CMD.SEND_PGM_COMMAND(idBinding, tParams)
	local PgmID = tonumber(tParams.PGM_ID)
	local PgmCommand = tParams.COMMAND

	if (TheSecurityPanel) then
		TheSecurityPanel:PrxSendPgmCommand(PgmID, PgmCommand)
	end
end

function PRX_CMD.SET_ZONE_INFO(idBinding, tParams)
	local ZoneID = tonumber(tParams.ZONE_ID)
	local ZoneName = tParams.NAME
	local ZoneTypeID = tonumber(tParams.TYPE_ID)
	local InterfaceID = tParams.INTERFACE_ID

	if (TheSecurityPanel) then
		TheSecurityPanel:PrxSetZoneInfo(ZoneID, ZoneName, ZoneTypeID, InterfaceID)
	end
end

function PRX_CMD.ADDITIONAL_PANEL_INFO(idBinding, tParams)
	local InfoString = tParams.INFO_STRING
	local NewInfo = tParams.NEW_INFO
	local FunctionName = tParams.FUNCTION_NAME
	local InterfaceID = tParams.INTERFACE_ID

	if (TheSecurityPanel) then
		TheSecurityPanel:HandleAdditionalInfo(InfoString, NewInfo, FunctionName, InterfaceID)
	end
end


function PRX_CMD.OPENED(idBinding, tParams)
	if (TheSecurityPanel) then
		TheSecurityPanel:OPENED(idBinding)
	end
end

function PRX_CMD.CLOSED(idBinding, tParams)
	if (TheSecurityPanel) then
		TheSecurityPanel:CLOSED(idBinding)
	end
end