--[[=============================================================================
    Intermediate panel driver strings. Will reference the selected language 
    strings at runtime.

    Copyright 2015 Control4 Corporation. All Rights Reserved.
===============================================================================]]
require "lang.english_strings"

LANG = "EN"

user     = _G["user" .. LANG]
sensor   = _G["sensor" .. LANG]
bypass   = _G["bypass" .. LANG]
keyfob   = _G["keyfob" .. LANG]
unbypass = _G["unbypass" .. LANG]
canceled = _G["canceled" .. LANG]
latchkey = _G["latchkey" .. LANG]

restored       = _G["restored" .. LANG]
fireTrouble    = _G["fireTrouble" .. LANG]
nonFireTrouble = _G["nonFireTrouble" .. LANG]

SourceType = _G["SourceType" .. LANG]
AlarmValues = _G["AlarmValues" .. LANG]
TroubleValues = _G["TroubleValues" .. LANG]
BypassValues = _G["BypassValues" .. LANG]
UnbypassValues = _G["UnbypassValues" .. LANG]
OpeningValues = _G["OpeningValues" .. LANG]
ClosingValues = _G["ClosingValues" .. LANG]
PartitionConfigValues = _G["PartitionConfigValues" .. LANG]
PartitionEventValues = _G["PartitionEventValues" .. LANG]
PartitionTestValues = _G["PartitionTestValues" .. LANG]
SystemTroubleValues = _G["SystemTroubleValues" .. LANG]
SystemConfigValues = _G["SystemConfigValues" .. LANG]
SystemEventValues = _G["SystemEventValues" .. LANG]

TokenValues = _G["TokenValues" .. LANG]
ValueToken = _G["ValueToken" .. LANG]

ZoneLabelValues = _G["ZoneLabelValues" .. LANG]

lightStateString = _G["lightStateString" .. LANG]

KeypadValues = {
    ["0"]                            = "00",
    ["1"]                            = "01",
    ["2"]                            = "02",
    ["3"]                            = "03",
    ["4"]                            = "04",
    ["5"]                            = "05",
    ["6"]                            = "06",
    ["7"]                            = "07",
    ["8"]                            = "08",
    ["9"]                            = "09",
    ["*"]                            = "0A",
    ["#"]                            = "0B",
    ["Police Panic"]                 = "0C",
    ["Aux. Panic"]                   = "0D",
    ["Fire Panic"]                   = "0E",
    ["Lights On"]                    = "10",
    ["Lights Off"]                   = "11",
    ["Lights Toggle"]                = "12",
    ["Keyswitch on"]                 = "13",
    ["Keyswitch off"]                = "14",
    ["Fire TP – Acknowledge"]        = "1C",
    ["Fire TP – Silence"]            = "1D",
    ["Fire TP – Fire Test"]          = "1E",
    ["Fire TP – Smoke Reset"]        = "1F",
    ["Keyfob disarm"]                = "20",
    ["Keyfob arm"]                   = "21",
    ["Keyfob lights"]                = "22",
    ["Keyfob star"]                  = "23",
    ["Keyfob arm/disarm"]            = "24",
    ["Keyfob lights/star"]           = "25",
    ["Keyfob long lights"]           = "26",
    ["Keyfob direct arm to level 3"] = "27",
    ["Keyfob direct arm to level 2"] = "28",
    ["Keyfob arm/star"]              = "29",
    ["Keyfob disarm/lights"]         = "2A",
    ["A"]                            = "2C",			--["TP A key"]
    ["B"]                            = "30",			--["TP B key"]
    ["C"]                            = "2D",			--["TP C key"]
    ["D"]                            = "33",			--["TP D key"]
    ["E"]                            = "2E",			--["TP E key"]
    ["F"]                            = "36" }			--["TP F key"]

keyfobCommand = {
    [0] = "disarm",
    "arm",
    "lights",
    "star",
    "arm & disarm",
    "lights & star",
    "long lights",
    [9] = "arm & star",
    [10] = "disarm & lights" }