--[[=============================================================================
    Properties Code

    Copyright 2015 Control4 Corporation. All Rights Reserved.
===============================================================================]]
require "lib.c4_timer"

SecretKey = "hylg3jmb#x1A4Hh5#I"
sha1 = require 'sha1'
-- This macro is utilized to identify the version string of the driver template version used.
if (TEMPLATE_VERSION ~= nil) then
	TEMPLATE_VERSION.properties = "2014.10.13"
end

function ON_PROPERTY_CHANGED.NetworkKeepAliveIntervalSeconds(propertyValue)
	gNetworkKeepAliveInterval = tonumber(propertyValue)
end

--[[=============================================================================
    UpdateProperty(propertyName, propertyValue)
  
    Description:
    Sets the value of the given property in the driver
  
    Parameters:
    propertyName(string)  - The name of the property to change
    propertyValue(string) - The value of the property being changed
  
    Returns:
    None
===============================================================================]]
function UpdateProperty(propertyName, propertyValue)

	if (Properties[propertyName] ~= nil) then
		C4:UpdateProperty(propertyName, propertyValue)
	end
end

function ON_PROPERTY_CHANGED.Language(propertyValue)
	LANG = tostring(propertyValue)
end

function ON_PROPERTY_CHANGED.Output1Controllable(propertyValue)
	HandlePgm(1, string.lower(tostring(propertyValue)))
end

function ON_PROPERTY_CHANGED.Output2Controllable(propertyValue)
	HandlePgm(2, string.lower(tostring(propertyValue)))
end

function ON_PROPERTY_CHANGED.Output3Controllable(propertyValue)
	HandlePgm(3, string.lower(tostring(propertyValue)))
end

function ON_PROPERTY_CHANGED.Output4Controllable(propertyValue)
	HandlePgm(4, string.lower(tostring(propertyValue)))
end

function ON_PROPERTY_CHANGED.Output5Controllable(propertyValue)
	HandlePgm(5, string.lower(tostring(propertyValue)))
end

function ON_PROPERTY_CHANGED.Output6Controllable(propertyValue)
	HandlePgm(6, string.lower(tostring(propertyValue)))
end

function HandlePgm(PgmID, Controllable)
	--[[if (Controllable == "true") then
		AddPgm(PgmID)
	else
		RemovePgm(PgmID)
	end

	SingleEquipmentList(7)]]
end

function ON_PROPERTY_CHANGED.ActivationKey(propertyValue)
  local ActivationCode = sha1(SecretKey .. Properties["Control4 MAC Address"])
  local ActivationKey = propertyValue
  local ActivationKeystr = C4:Base64Decode(ActivationKey)
  if (ActivationCode == ActivationKey) then
    UpdateProperty('Activation Status', "Activated. Current Version is: " .. Properties["Version"])
    ActivingKeystatus = true
  elseif string.sub(ActivationKeystr, 1, 10) == string.sub(ActivationCode, 1, 10) and string.sub(ActivationKeystr, 23, 32) == string.sub(ActivationCode, 31, 40) then
    local ExpiredDate = tonumber(string.sub(ActivationKeystr, 11, 22))
    local NowDate = os.time()
    if (ExpiredDate ~= nil) and (ExpiredDate > NowDate) then
      local RemainingDay = math.ceil(math.abs((ExpiredDate - NowDate)/86400))
      UpdateProperty('Activation Status', "Activated. Expired after " .. tostring(RemainingDay) .. " Days.")
      ActivingKeystatus = true
    else
      UpdateProperty('Activation Status', "Unregisted")
      ActivingKeystatus = false
    end
  else
    UpdateProperty('Activation Status', "Unregisted")
    ActivingKeystatus = false
  end
end

function SetTestTimer()
  LogTrace("Your license has expired, Please contact www.hopebeauty.com ")
  UpdateProperty('Activation Status','UNREGISTERED')
  ActivingKeystatus = false

  LogTrace("KillTimer: startTestTimer") 
	KillTimer(SetPartitionDataTimer1)
end

function ON_PROPERTY_CHANGED.SensorNumberOfThePartition1(propertyValue)
    if ActivingKeystatus then
	    CreatePartition1SensorZoneBindings(tonumber(propertyValue))	
	    CreatePartition1SensorOutControlZoneBindings(tonumber(propertyValue))
    else
	    LogTrace("You haven't active the key or the key tpye is not correct ,Plaese contact the agent ...")
    end
end

function ON_PROPERTY_CHANGED.SensorNumberOfThePartition2(propertyValue)
    if ActivingKeystatus then
	    CreatePartition2SensorZoneBindings(tonumber(propertyValue))
	    CreatePartition2SensorOutControlZoneBindings(tonumber(propertyValue))
    else
	    LogTrace("You haven't active the key or the key tpye is not correct ,Plaese contact the agent ...")
    end
end

function ON_PROPERTY_CHANGED.SensorNumberOfThePartition3(propertyValue)
    if ActivingKeystatus then
	    CreatePartition3SensorZoneBindings(tonumber(propertyValue))
	    CreatePartition3SensorOutControlZoneBindings(tonumber(propertyValue))
    else
	    LogTrace("You haven't active the key or the key tpye is not correct ,Plaese contact the agent ...")
    end
end

function ON_PROPERTY_CHANGED.SensorNumberOfThePartition4(propertyValue)
    if ActivingKeystatus then
	    CreatePartition4SensorZoneBindings(tonumber(propertyValue))
	    CreatePartition4SensorOutControlZoneBindings(tonumber(propertyValue))
    else
	    LogTrace("You haven't active the key or the key tpye is not correct ,Plaese contact the agent ...")
    end
end

function ON_PROPERTY_CHANGED.SensorNumberOfThePartition5(propertyValue)
    if ActivingKeystatus then
	    CreatePartition5SensorZoneBindings(tonumber(propertyValue))
	    CreatePartition5SensorOutControlZoneBindings(tonumber(propertyValue))
    else
	    LogTrace("You haven't active the key or the key tpye is not correct ,Plaese contact the agent ...")
    end
end

function ON_PROPERTY_CHANGED.SensorNumberOfThePartition6(propertyValue)
    if ActivingKeystatus then
	    CreatePartition6SensorZoneBindings(tonumber(propertyValue))
	    CreatePartition6SensorOutControlZoneBindings(tonumber(propertyValue))
    else
	    LogTrace("You haven't active the key or the key tpye is not correct ,Plaese contact the agent ...")
    end
end

function CreatePartition1SensorZoneBindings(nBindings)
  local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 100) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 100, "CONTROL", false, "Partition 1 Sensor" .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()
end

function CreatePartition2SensorZoneBindings(nBindings)
  local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 200) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 200, "CONTROL", false, "Partition 2 Sensor" .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()
end

function CreatePartition3SensorZoneBindings(nBindings)
  local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 300) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 300, "CONTROL", false, "Partition 3 Sensor" .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()   
end

function CreatePartition4SensorZoneBindings(nBindings)
  local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 400) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 400, "CONTROL", false, "Partition 4 Sensor" .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()
end

function CreatePartition5SensorZoneBindings(nBindings)
  local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 500) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 500, "CONTROL", false, "Partition 5 Sensor" .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()
end

function CreatePartition6SensorZoneBindings(nBindings)
  local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 600) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 600, "CONTROL", false, "Partition 6 Sensor" .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()
end

function CreatePartition1SensorOutControlZoneBindings(nBindings)
  --[[local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 150) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 150, "CONTROL", true, "Partition 1 Sensor " .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()]]--

	local satrZoneID = 150
  local partitionID = 1
  local groupNumber = 0
  local c4ZoneType = 0
  for i=1,nBindings do
    local zoneText = "Partition " .. tostring(partitionID) .. " Sensor" .. tostring(i)
    SetZoneInfo(i+satrZoneID, zoneText, groupNumber, c4ZoneType)
    AddZoneToPartition(partitionID, i+satrZoneID)
  end
  for i=50,(nBindings+1),-1 do
    RemoveZoneFromPartition(partitionID, i+satrZoneID)
  end
end

function CreatePartition2SensorOutControlZoneBindings(nBindings)
  --[[local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 250) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 250, "CONTROL", true, "Partition 2 Sensor " .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()]]--
	   
  local satrZoneID = 250
  local partitionID = 2
  local groupNumber = 0
  local c4ZoneType = 0
  for i=1,nBindings do
    local zoneText = "Partition " .. tostring(partitionID) .. " Sensor" .. tostring(i)
    SetZoneInfo(i+satrZoneID, zoneText, groupNumber, c4ZoneType)
    AddZoneToPartition(partitionID, i+satrZoneID)
  end
  for i=50,(nBindings+1),-1 do
     RemoveZoneFromPartition(partitionID, i+satrZoneID)
  end
end

function CreatePartition3SensorOutControlZoneBindings(nBindings)
  --[[local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 350) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 350, "CONTROL", true, "Partition 3 Sensor " .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()]]--
	   
  local satrZoneID = 350
  local partitionID = 3
  local groupNumber = 0
  local c4ZoneType = 0
  for i=1,nBindings do
    local zoneText = "Partition " .. tostring(partitionID) .. " Sensor" .. tostring(i)
    SetZoneInfo(i+satrZoneID, zoneText, groupNumber, c4ZoneType)
    AddZoneToPartition(partitionID, i+satrZoneID)
  end
  for i=50,(nBindings+1),-1 do
     RemoveZoneFromPartition(partitionID, i+satrZoneID)
  end    
end

function CreatePartition4SensorOutControlZoneBindings(nBindings)
  --[[local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 450) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 450, "CONTROL", true, "Partition 4 Sensor " .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState() ]]-- 
	   
  local satrZoneID = 450
  local partitionID = 4
  local groupNumber = 0
  local c4ZoneType = 0
  for i=1,nBindings do
    local zoneText = "Partition " .. tostring(partitionID) .. " Sensor" .. tostring(i)
    SetZoneInfo(i+satrZoneID, zoneText, groupNumber, c4ZoneType)
    AddZoneToPartition(partitionID, i+satrZoneID)
  end
  for i=50,(nBindings+1),-1 do
     RemoveZoneFromPartition(partitionID, i+satrZoneID)
  end
end

function CreatePartition5SensorOutControlZoneBindings(nBindings)
  --[[local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 550) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 550, "CONTROL", true, "Partition 5 Sensor " .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()]]--
	   
  local satrZoneID = 550
  local partitionID = 5
  local groupNumber = 0
  local c4ZoneType = 0
  for i=1,nBindings do
    local zoneText = "Partition " .. tostring(partitionID) .. " Sensor" .. tostring(i)
    SetZoneInfo(i+satrZoneID, zoneText, groupNumber, c4ZoneType)
    AddZoneToPartition(partitionID, i+satrZoneID)
  end
  for i=50,(nBindings+1),-1 do
     RemoveZoneFromPartition(partitionID, i+satrZoneID)
  end
end

function CreatePartition6SensorOutControlZoneBindings(nBindings)
  --[[local n
  for n = 1, 255 do C4:RemoveDynamicBinding(n + 650) end
  for n = 1, nBindings do C4:AddDynamicBinding(n + 650, "CONTROL", true, "Partition 6 Sensor " .. n, "CONTACT_SENSOR", false, false) end
  if (nil == PersistData) then PersistData = {} end
  PersistData["nBindings"] = nBindings
  C4:InvalidateState()]]--
	   
  local satrZoneID = 650
  local partitionID = 6
  local groupNumber = 0
  local c4ZoneType = 0
  for i=1,nBindings do
    local zoneText = "Partition " .. tostring(partitionID) .. " Sensor" .. tostring(i)
    SetZoneInfo(i+satrZoneID, zoneText, groupNumber, c4ZoneType)
    AddZoneToPartition(partitionID, i+satrZoneID)
  end
  for i=50,(nBindings+1),-1 do
     RemoveZoneFromPartition(partitionID, i+satrZoneID)
  end
end